Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4321 closed enhancement (fixed)

Add spi driver for AXI SPI ip core from Xilinx

Reported by: Jan Sommer Owned by: Jan Sommer
Priority: normal Milestone: 6.1
Component: bsps Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Add a spidev compatible driver for the xilinx axi quad spi ip core for standard SPI mode

Change History (4)

comment:1 Changed on 03/09/21 at 10:43:36 by Jan Sommer

Owner: set to Jan Sommer
Status: newaccepted

comment:2 Changed on 03/30/21 at 15:03:14 by Jan Sommer <jan.sommer@…>

In [changeset:"70667b5527fa1a7398636f03ecc614d28702c8fc/rtems" 70667b55/rtems]:

bsps/xilinx_zynq: Add SPI driver for xilinx-axi-spi

Updates #4321

comment:3 Changed on 03/30/21 at 15:03:27 by Jan Sommer <jan.sommer@…>

In [changeset:"7a1edf11a1d6fbcabe660b34d93a2ed005cf6096/rtems" 7a1edf11/rtems]:

bsps/shared: Add Xilinx-AXI SPI driver to waf

Updates #4321

comment:4 Changed on 03/30/21 at 15:03:39 by Jan Sommer <jan.sommer@…>

Resolution: fixed
Status: acceptedclosed

In [changeset:"33fd9155a1cd25c26ba5acdca93b9e7bd0aa73e8/rtems" 33fd915/rtems]:

bsps/xilinx_zynq: Add Xilinx AXI SPI driver to autotools build

Closes #4321

Note: See TracTickets for help on using tickets.